<?php
	header ("Content-type: image/png");	


	require_once("CEditor.inc");
	require_once("notes.php");

	$conf = Array('linespace' => 6.5,
							'linestart' => 10,
							'width' => 1300,
							'imgpath' => 'img/png-alpha/');
	$noteStart = 45; // where do notes start
	$noteSpace = 20; // space between notes

	$file = $_GET["file"];
	
	
	// opening file
	$fd = fopen ($file, 'r');
	$content = fread ($fd, filesize ($file));
	// saving to an array
	$notes = split("\n", $content);
	fclose ($fd);

	// creating image
	$img = imagecreatetruecolor($conf['width'], 50);
	$editor = new CEditor($img, $conf);

	// drawing state and key
	$editor->DrawBackground();
	$editor->DrawStave();		
	$editor->DrawKey();
	
	// drawing time (saved in $notes[0]
	// time - 3 for 3/4, 4 for 4/4 and 5 for 5/4
	switch (trim($notes[0])) {
		case '3/4': $timeType = 3;
		break;
		case '4/4': $timeType = 4;
		break;
		case '5/4': $timeType = 5;
		break;
	}
	array_shift($notes); // deleting first element in $notes (time) - we don't need it...

	$editor->DrawTime($timeType);
	
	// drawing notes
	$pos = 1;
	$time = 0;
	foreach ($notes as $note) {
		if ($note <> '') {
			$note = trim($note); // striping whitespaces
			list($note, $type) = split(" ", $note, 2); // G 2 => $note = 'G'; $type = 2;
			$yPos = $notePos[$note[0]]; // gets note position (eg. C => 0)
			
			$time += $type;
			
			if ($type == 3) $type = 2;
			if ($type == 0.5) $type = 0;
			
			if (preg_match('/^[a-z]is$/i', $note)) { // Gis, cis etc
				$drawType = 'krizek_';
			} else {
				$drawType = '';
			}
			
			if ($type <> 4) {
				if ($yPos >= 7) {
					$drawType .= 'dolu_';
					
					$yPos = $conf['linestart']+1+((5-$yPos)*($conf['linespace']/2))+imagesy(imagecreatefrompng($conf['imgpath'].'nota_'.$drawType.$type.'.png'))/2;
				} else {
					$drawType .= 'nahoru_';
					
					$yPos = $conf['linestart']+2+((7-$yPos)*($conf['linespace']/2))-imagesy(imagecreatefrompng($conf['imgpath'].'nota_'.$drawType.$type.'.png'))/2;
				}
			} else {
				$drawType .= '';
			}
			
			if ($note == 'pomlka') {
				$editor->DrawBreak($noteStart+$pos*$noteSpace, 3*$conf['linespace']+1, $type);
			} else {				
				$editor->DrawNote($noteStart+$pos*$noteSpace, $yPos, $drawType.$type);
			}
			$pos++;
			
			if ($time >= $timeType) { // drawing bar
				$time = 0;
				$editor->DrawBar($noteStart+$pos*$noteSpace);
				$pos++;
			}
		}
	}
	
	// creating image
	imagepng($img);
	imagedestroy($img);

?>