<?php
	/**
	 * class CXML
	 * simply class for converting XML document to an associative array
	 *@author Adam Heinrich
	 */
	class CXML
	{
		private $data = Array();
		private $resParser;

		/**
		 * startTag
		 */
		private function startTag ($parser, $name, $attrs) {
			array_push($this->data, Array("name"=>$name, "attributes"=>$attrs));
		}

		/**
		 * endTag
		 */
		private function endTag ($parser, $name) {
			$this->data[count($this->data)-2]['children'][] = $this->data[count($this->data)-1];
       			array_pop($this->data);
		}

		/**
		 * dataHandler
		 */
		private function dataHandler ($parser, $tagData) {
			if(trim($tagData)) { # striping whitespaces
				if(isset($this->data[count($this->data)-1]['data'])) {
					$this->data[count($this->data)-1]['data'] .= $tagData;
				} else {
					$this->data[count($this->data)-1]['data'] = $tagData;
				}
			}
		}

		/**
		 * Parse
		 * parse XML document and converts it into array
		 *@returns associative array
		 */
		public function Parse ($file) {
			$this->resParser = xml_parser_create();
			$content = fopen($file, 'r');

			xml_set_element_handler($this->resParser, Array($this, 'startTag'), Array($this, 'endTag'));
			xml_set_character_data_handler($this->resParser, Array($this, 'dataHandler'));

			while ($data = fread($content, 5)) {
				xml_parse($this->resParser, $data, feof($content));
			}

			xml_parser_free($this->resParser);

			return $this->data;
		}
	};
?>